<div class="list-conatiner" [style.overflow]="this.state.details=='in'?'hidden':'auto'">
  <div class="row center app-title">
    <h3 class="light-blue-text accent-3">Sample List</h3>
  </div>
  <div class="row center container">
    <div class="row" *ngFor="let item of items; let i = index">
      <div data-id="{{i}}" (click)="showDetails(i)" class="valign-wrapper col s12 m10 offset-m1 l8 offset-l2 xl6 offset-xl3 item z-depth-1 waves-effect waves-light">
        <div>
          <span>
            {{ item.title }}
          </span>
        </div>
      </div>
    </div>
  </div>

  <div (click)="dismissDetails()" [class.active]="this.state.details == 'in'" class="overlay">
  </div>

  <div class="detail-container row">
    <div [@slideInOut]="this.state.details" class="z-depth-2 blue details col s12 m10 offset-m2 l8 offset-l4 xl6 offset-xl6 z-depth-1">
      <div class="white title-container z-depth-2">
        <a (click)="dismissDetails()" class="right btn-floating waves-effect waves-light blue"><i class="material-icons">close</i></a>
        <h4>{{ this.state.itemID != null? items[this.state.itemID].title: "" }}</h4>
      </div>
      <div class="body-container white-text flow-text">
        <div [innerHTML]="this.state.itemID != null? items[this.state.itemID].body: ''"></div>
        <p>&#8212; {{ this.state.itemID != null? items[this.state.itemID].author: "" }}</p>
      </div>
    </div>
  </div>
</div>
